<?php
header('Content-Type: application/json');
include_once('./classes/conexao.php');	
if(!isset($_GET['token'])){
	$mensagem = '{"code":"400","message":"Parametros não preenchido!"}';
	echo $mensagem;
    die();
}
$token = 'ajr123';
$chave = $_GET['token'];
if($chave <> $token){
    $mensagem = '{"code":"400","message":"Token invalido!"}';
	echo $mensagem;
    die();	
}
$json = file_get_contents("php://input");
$obj = json_decode($json);
foreach($obj as $itemsom)  {
    $placa = $itemsom->placa; 
	$data = $itemsom->data;
	$hora = $itemsom->hora;
	$lat = $itemsom->lat;
	$long = $itemsom->long;
}
if($placa == ''){
	$mensagem = '{"code":"400","message":"Informe a placa!"}';
	echo $mensagem;
    die();	
}
$datahora = $data . ' ' . $hora;
$insert = "insert into localizacao (placa, latitude, longitude, dataatualizacao) values ('$placa', '$lat', '$long', '$datahora' ) ";
if ($conn->query($insert) === TRUE) {} else { echo ""; }
$mensagem = '{"code":"200","message":"Salvo com sucesso!"}';
echo $mensagem;

?>